\begin{tikzpicture}
\path
(0,2)  coordinate []  (shiftV)
(5,0)	coordinate []  (shiftH)
(3,0) 	coordinate []  (smallShiftH);

\node at (0,0)(IA){IAssemble};
\node at ($(IA) - (shiftV)$)(ITA){ITimeAssemble};
\node at ($(ITA) - (shiftV)$)(CA){CardiacAssemble};
\node at ($(CA)-(shiftV)$)(IEA){IElphyAssemble};
\node at ($(IEA)-(shiftV)-(smallShiftH)$)(M){Monodomain};
\node at ($(IEA)-(shiftV)+(smallShiftH)$)(MS){MonodomainSplitting};
\node at ($(MS)-(shiftV)$)(IBTMS){IBTMonodomainSplitting};

\path[-]
(IA) edge (ITA)
(ITA) edge (CA)
(CA) edge (IEA)
(IEA) edge (M)
(IEA) edge (MS)
(MS) edge (IBTMS);

\end{tikzpicture}






